#
# spec file for package tvnamer
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           tvnamer
Version:        20200518T153014.43a7964
Release:        1699.1.pm.58
Summary:        Automatic TV episode file renamer
# The Unlicense (http://unlicense.org)
License:        SUSE-Permissive
Group:          Productivity/Multimedia/Other
Url:            https://github.com/dbr/tvnamer
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module tvdb_api}
Requires:       python3-tvdb_api
BuildArch:      noarch

%description
tvnamer is a utility which to rename files from some.show.s01e03.blah.abc.avi to
Some Show - [01x03] - The Episode Name.avi (by retrieving the episode name using
data from tvdb_api)

%prep
%autosetup -p1

%build
%python3_build

%install
%python3_install

%files
%doc README.md
%license UNLICENSE
%{_bindir}/%{name}
%{python3_sitelib}

%changelog
* Tue May 26 2020 olaf@aepfle.de
- Update to 20200518T153014.43a7964
* Fri Apr 21 2017 aloisio@gmx.com
- Update to version 3.0.0
  * added 'dry_run' config option
  * removed 'always_rename' and 'select_first' config options,
    simply 'batch' mode is enough (in interactive mode you can still
    select to autorename files from now on)
  * added support for logging into file ('log_file' config option)
  * 'titlecase_filename' and 'move_files_lowercase_destination'
    options replaced with 'titlecase_dynamic_parts' and
    'lowercase_dynamic_parts' respectively
  * In 'move_files_destination' variable, %%(episodenumbers)s format
    parameter is replaced with %%(episode)s (as is used in 'filename_*'
    variables)
  * Removed 'move_files_only' config option (all files are moved
    actualy, not renamed). For preserving old behavior use
    %%(originalfilename)s in 'move_files_destination' and set
    'move_files_destination_is_filepath' to True
  * 'force_name' option renamed to 'series_name' (both on command
    line and in config)
- Added tvnamer-set-correct-requirement.patch
- Spec cleanup
* Mon Feb  4 2013 hvogel@opensuse.org
- Update to version 2.2.1
* Sat Mar 12 2011 hvogel@opensuse.org
- Initial package, Version 2.1
  (was sub-package of python-tvdb_api before)
